<?php
// set form variables
$instance = wp_parse_args(
    (array) $instance,
    array(
        'title' => 'Latest Updates',
        'numberposts' => 5,
        'post_type' => 'post',
    )
);
$selected = 'selected="selected"';
$checked = 'checked="checked"';
?>
<p> <!-- TITLE FOR WIDGET -->
    <label 	for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label><br/>
    <input  id="<?php echo $this->get_field_id('title'); ?>"
            name="<?php echo $this->get_field_name('title'); ?>"
            type="text"
            value="<?php echo $instance['title']; ?>" />
</p>

<p> <!-- NUMBER POSTS FOR WIDGET -->
    <label 	for="<?php echo $this->get_field_id('numberposts'); ?>"><?php _e('Number of posts to show:'); ?></label>
    <input  id="<?php echo $this->get_field_id('numberposts'); ?>"
            name="<?php echo $this->get_field_name('numberposts'); ?>"
            type="text"
            value="<?php echo $instance['numberposts']; ?>"
            size="3"
        />
</p>

<p> <!-- POST TYPE FOR WIDGET -->
    <label 	for="<?php echo $this->get_field_id('post_type'); ?>"><?php _e('Post Type:'); ?></label>
    <select name="<?php echo $this->get_field_name('post_type'); ?>" id="<?php echo $this->get_field_id('post_type'); ?>">
        <?php
        // Filter out post types that are internal such as attachments or internal theme post types used for options.
        $args = array(
            'show_ui' => true,
        );
        $post_types = get_post_types($args, 'objects');
        foreach($post_types as $post_type=>$vars) {
            echo '<option value="'.$post_type.'"';
            if($instance['post_type'] == $post_type) echo $selected;
            echo '>'.$vars->labels->name.'</option>';
        }
        ?>
    </select>
</p>
